Bug 59298 - gnome-terminal ignores gnome bell volume setting
gnome-terminal ignores gnome bell volume setting
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-04 15:32 EST by David Kaplan
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-04 16:24:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Kaplan 2002-02-04 15:32:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
For as long as I can remember gnome-terminal has ignored the volume
set for the system bell in the gnome control center.  Whatsmore, the
gnome terminal preferences only allows you to silence the bell, not 
control the volume.  This is really bothersome for people with a loud bell, like
me.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start nautilus
2.go to preferences:///Peripherals
3.Enter the keyboard preference settings.  
4.Lower your keyboard bell setting.
5.Open a gnome-terminal and tab away - bell sound should not have decreased.

	

Actual Results:  Bell sound stays loud.

Expected Results:  Bell should have lowered in volume.

Additional info:
Comment 1 Havoc Pennington 2002-02-04 15:57:23 EST
Does the bell volume setting work in any other app? (Emacs for example?)

Does it work for the Test button in keyboard-properties?

If you exit keyboard-properties and start it again, does the second instance 
have the setting you set in the first instance?
Comment 2 David Kaplan 2002-02-04 16:01:57 EST
Yes the setting works in other applications (emacs in particular).
It works in the test button and appears the same on reopening.  
I have the same problem with the bell volume on several computers of different
types with different install histories.

Comment 3 Havoc Pennington 2002-02-04 16:24:30 EST
g-t isn't doing anything strange though; it uses exactly the same function call 
to beep that those other apps do.

Hrm, I guess it's something weird going on. I'm not sure where to start looking. 
If you notice any other patterns please note them here.
Comment 4 Havoc Pennington 2002-02-26 09:50:45 EST
The move to GNOME 2 replaces the bell-volume-setting control panel and also
gnome-terminal, so this won't apply to GNOME 2. Only release showstoppers are
being fixed for GNOME 1 at this point.

Note You need to log in before you can comment on or make changes to this bug.